<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    >
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:background="@drawable/background"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:background="#FFFFFF"
                android:orientation="vertical"
                android:layout_marginBottom="10dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/question_back"
                        android:layout_width="47dp"
                        android:layout_height="34dp"
                        android:layout_gravity="center"
                        android:src="@drawable/back" />

                    <TextView
                        android:layout_width="306dp"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="问题详情"
                        android:textSize="19dp"
                        android:textStyle="bold" />

                    <ImageView
                        android:id="@+id/detail_to_search"
                        android:layout_width="66dp"
                        android:layout_height="match_parent"
                        app:srcCompat="@android:drawable/ic_menu_search" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="10dp">

                    <TextView
                        android:id="@+id/text_question_title"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:textColor="#000"
                        android:text="问题标题"
                        android:textSize="20dp" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:layout_marginBottom="10dp"
                android:background="#FFFFFF">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:padding="10dp">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal">

                        <ImageView
                            android:id="@+id/imageView13"
                            android:layout_width="104dp"
                            android:layout_height="40dp"
                            android:layout_weight="1"
                            app:srcCompat="@drawable/person" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:orientation="vertical"
                            android:layout_marginLeft="5dp">

                            <TextView
                                android:id="@+id/text_author"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="用户名"
                                android:textSize="18dp"/>

                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="管住嘴，迈开腿，多喝水" />
                        </LinearLayout>
                    </LinearLayout>

                    <TextView
                        android:id="@+id/text_question_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="内容"
                        android:layout_gravity="center"
                        android:paddingTop="15dp"
                        android:layout_margin="10dp"/>

                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal"
                    android:layout_margin="20dp">


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <ImageView
                            android:id="@+id/img_invite_to_answer"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            app:srcCompat="@mipmap/invite_to_answer" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="邀请回答" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:orientation="vertical"
                        android:layout_weight="1">

                        <ImageView
                            android:id="@+id/img_go_write_answer"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            app:srcCompat="@mipmap/go_write_answer" />

                        <TextView
                            android:id="@+id/textView52"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="去回答" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:orientation="vertical"
                        android:layout_weight="1">

                        <ImageView
                            android:id="@+id/img_follow_question"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            app:srcCompat="@mipmap/follow_question" />

                        <TextView
                            android:id="@+id/text_follow_question"
                            android:gravity="center"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:text="关注问题" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:background="#ffffff">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal"
                    android:background="#FFFFFF"
                    android:padding="20dp">

                    <TextView
                        android:id="@+id/textView45"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="回答"
                        android:textSize="19dp"/>

                    <TextView
                        android:id="@+id/text_answer_num"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="(0)"
                        android:textSize="17dp" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:background="#FFFFFF">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerView_answer"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</ScrollView>